Superadmin APIs/Admin Activity Logs
Admin Activity Logs
GET
/superadmin/admin/:id/activitylogsBearer token required
SUPERADMINContent-Type:
application/jsonPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | number | Required |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
limit | number | Optional | 5–50 |
cursorId | number | Optional | Pagination cursor |
from | string | Optional | ISO date |
to | string | Optional | ISO date |
q | string | Optional | Search |
actionPrefix | string | Optional | Filter prefix |
Code Examples
curl -X GET 'https://<your-domain>:3001/superadmin/admin/:id/activitylogs' \
-H 'Authorization: Bearer <token>'Try It
API Playground
Sends a real request to the configured serverid*limitcursorIdfromtoqactionPrefix